"use client"

import Login from "@/components/form/login";
import QudoLogin from "@/components/form/qudo-login";
import Cookies from "js-cookie";
import React, { useEffect, useState } from "react";

export default function AuthPage() {

  const isAuthenticated = Cookies.get("is_authenticated") || "false";

  console.log("isAuthenticated : ", isAuthenticated);
  
  const [hasMounted, setHasMounted] = useState(false);

  useEffect(() => {
    setHasMounted(true);
  }, []);

  // Render
  if (!hasMounted) return null;

  return (
    isAuthenticated == "true" ?
    <Login /> : 
    <QudoLogin />
  );
}
